Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# IOP_IOR.pidl File Reference

Pre-compiled IDL source for the IOP module. More...

`import "OctetSeq.pidl";`

Include dependency graph for IOP_IOR.pidl:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | IOP
## Classes
struct | IOP::TaggedProfile
struct | IOP::IOR
struct | IOP::TaggedComponent
struct | IOP::ServiceContext
## Typedefs
typedef unsigned long | ProfileId
typedef sequence< TaggedProfile > | TaggedProfileSeq
typedef unsigned long | ComponentId
typedef sequence< TaggedComponent > | MultipleComponentProfile
typedef sequence< TaggedComponent > | TaggedComponentList
typedef sequence< TaggedComponent > | TaggedComponentSeq
typedef unsigned long | ServiceId
typedef sequence< ServiceContext > | ServiceContextList
## Variables
const ProfileId | TAG_INTERNET_IOP = 0
const ProfileId | TAG_MULTIPLE_COMPONENTS = 1
const ComponentId | TAG_ORB_TYPE = 0
const ComponentId | TAG_CODE_SETS = 1
const ComponentId | TAG_POLICIES = 2
const ComponentId | TAG_ALTERNATE_IIOP_ADDRESS = 3
const ComponentId | TAG_COMPLETE_OBJECT_KEY = 5
const ComponentId | TAG_ENDPOINT_ID_POSITION = 6
const ComponentId | TAG_LOCATION_POLICY = 12
const ComponentId | TAG_DCE_STRING_BINDING = 100
const ComponentId | TAG_DCE_BINDING_NAME = 101
const ComponentId | TAG_DCE_NO_PIPES = 102
const ServiceId | TransactionService = 0
const ServiceId | CodeSets = 1
const ServiceId | ChainBypassCheck = 2
const ServiceId | ChainBypassInfo = 3
const ServiceId | LogicalThreadId = 4
const ServiceId | BI_DIR_IIOP = 5
const ServiceId | SendingContextRunTime = 6
const ServiceId | INVOCATION_POLICIES = 7
const ServiceId | UnknownExceptionInfo = 9
const ServiceId | RTCorbaPriority = 10
const ServiceId | RTCorbaPriorityRange = 11
const ComponentId | TAG_FT_GROUP = 27
const ComponentId | TAG_FT_PRIMARY = 28
const ComponentId | TAG_FT_HEARTBEAT_ENABLED = 29
const ServiceId | FT_GROUP_VERSION = 12
const ServiceId | FT_REQUEST = 13
const ProfileId | TAG_UIPMC = 3
const ComponentId | TAG_GROUP = 39
const ComponentId | TAG_GROUP_IIOP = 40

## Detailed Description

Pre-compiled IDL source for the IOP module.

Id
  IOP_IOR.pidl,v 1.15 2005/06/10 10:16:34 jwillemsen Exp

This file is used to generate IOPC.{h,cpp}, using the following command:

tao_idl.exe -o orig -Gp -Gd -Ge 1 -GA -Sc -SS -Sci -Wb,export_macro=TAO_Export -Wb,export_include=tao/TAO_Export.h -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" IOP_IOR.pidl

and then:

cp orig/IOP_IORC.{h,inl,cpp} . cp orig/IOP_IORA.cpp .

## Typedef Documentation

typedef CORBA::ULong IOP::ComponentId

typedef sequence<TaggedComponent> IOP::MultipleComponentProfile

typedef CORBA::ULong IOP::ProfileId

typedef sequence<ServiceContext> IOP::ServiceContextList

typedef CORBA::ULong IOP::ServiceId

typedef sequence<TaggedComponent> IOP::TaggedComponentList

typedef sequence<TaggedComponent> IOP::TaggedComponentSeq

typedef sequence<TaggedProfile> IOP::TaggedProfileSeq

## Variable Documentation

const IOP::ServiceId IOP::BI_DIR_IIOP = 5

const IOP::ServiceId IOP::ChainBypassCheck = 2

const IOP::ServiceId IOP::ChainBypassInfo = 3

const IOP::ServiceId IOP::CodeSets = 1

const IOP::ServiceId IOP::FT_GROUP_VERSION = 12

const IOP::ServiceId IOP::FT_REQUEST = 13

const IOP::ServiceId IOP::INVOCATION_POLICIES = 7

const IOP::ServiceId IOP::LogicalThreadId = 4

const IOP::ServiceId IOP::RTCorbaPriority = 10

const IOP::ServiceId IOP::RTCorbaPriorityRange = 11

const IOP::ServiceId IOP::SendingContextRunTime = 6

const IOP::ComponentId IOP::TAG_ALTERNATE_IIOP_ADDRESS = 3

const IOP::ComponentId IOP::TAG_CODE_SETS = 1

const IOP::ComponentId IOP::TAG_COMPLETE_OBJECT_KEY = 5

const IOP::ComponentId IOP::TAG_DCE_BINDING_NAME = 101

const IOP::ComponentId IOP::TAG_DCE_NO_PIPES = 102

const IOP::ComponentId IOP::TAG_DCE_STRING_BINDING = 100

const IOP::ComponentId IOP::TAG_ENDPOINT_ID_POSITION = 6

const IOP::ComponentId IOP::TAG_FT_GROUP = 27

const IOP::ComponentId IOP::TAG_FT_HEARTBEAT_ENABLED = 29

const IOP::ComponentId IOP::TAG_FT_PRIMARY = 28

const IOP::ComponentId IOP::TAG_GROUP = 39

const IOP::ComponentId IOP::TAG_GROUP_IIOP = 40

const IOP::ProfileId IOP::TAG_INTERNET_IOP = 0

const IOP::ComponentId IOP::TAG_LOCATION_POLICY = 12

const IOP::ProfileId IOP::TAG_MULTIPLE_COMPONENTS = 1

const IOP::ComponentId IOP::TAG_ORB_TYPE = 0

const IOP::ComponentId IOP::TAG_POLICIES = 2

const IOP::ProfileId IOP::TAG_UIPMC = 3

const IOP::ServiceId IOP::TransactionService = 0

const IOP::ServiceId IOP::UnknownExceptionInfo = 9